
// Used when needing to quote a LOT of text, or otherwise
// not wanting to draw so much attention to it
blockquote.small {
    font-size: inherit;
    font-family: inherit;
    color: inherit;

	ol, ul, p {
		margin-bottom: 0.8em;
		line-height: 1.6;
	}

	ol, ul {
		padding-left: 2.2em;
	}
}

.small small {
	// Sometimes quote bylines get TOO small, so we'll increase this size somewhat
    font-size: 88%;
}

// Used when wanting to emphasise some text but it's NOT a quote
blockquote.highlight {
	// Remove quote symbol
	&:before { content: "" }
	border-bottom: 3px solid #108afb;
	padding: 1.333em 1rem;
}

// Don't make links in bylines so obvious (more gray)
#main blockquote small a {
    color: inherit;
    border-bottom-color: #dae1e9;
}

.breadcrumb {
	color: #aaa;
	font-size: 90%;

	p {
		margin-bottom: 1em;
	}
	a { 
		color: inherit;
		border-bottom-color: #aaa;
		// border-bottom: none;
		// text-decoration: underline;
		margin-left: 5px;
		margin-right: 5px;

		&:first-child {
			margin-left: 0;
		}
		&:hover {
			color: #333;
		}
	}
}

.links-in-columns {
    // column-count: 3;
    // column-fill: auto;
    column-width: 18em;
    column-gap: 3em;

	a {
		display: inline-block;
		margin: 0.7em 3em 0.2em 0;
	}
}

th, td {
	vertical-align: top;

	&.left-border {
		border-left: 1px solid #e3e6ea;
	}
	&.right-border {
		border-right: 1px solid #e3e6ea;
	}
}

.more-padding th, .more-padding td {
	padding: 0.9em 18px;
}


.margin-top-bottom {
	margin-top: 48px;
	margin-bottom: 48px;
}
.paragraph-margin-bottom {
	margin-bottom: 1.6666em;
}
.sm-margin-bottom {
	margin-bottom: 6px;
}

#footnotes--references {
	color: #727272;
}

.footnotes {
	font-size: 89%;
	color: #727272;
}

.chart {
	margin-bottom: 1.6667rem;
}

.big-numbers {
	counter-reset: main;
	h4 {
		// background-color: #e8f3fc;
		border-radius: 18px;
		padding-left: 50px;
		line-height: 1.3;
		padding-top: 10px;
	}
	h4:before {
		content: counter(main);
		counter-increment: main;
		background-color: #536171;
		color: #fff;
		padding: 4px 6px 6px;
		border-radius: 50%;
		width: 25px;
		display: inline-block;
		height: 25px;
		font-size: 85%;
		text-align: center;
		vertical-align: baseline;
		margin-right: 14px;
		margin-left: -50px;
		float: left;
		margin-top: -1px;
	}
	ul {
		padding-left: 4em;
	}
}

.site-notice {
	text-align: center;
	background: aliceblue;
	font-size: 83%;
	.inner {
		padding-top: 1.4em;
		padding-bottom: 1.4em;
		padding-left: 2em;
		padding-right: 2em;
	}
}

.state-article-summary {
	// Reduce padding bottom due to bottom margin on bullet points
	// padding-bottom: 0.8em;
	ul, ol {
		margin-top: 1.3em;
	}
	li {
		font-size: 107%;
	}
}

// Used when highlighting Democrat/Republican stats
.red {
	background-color: #ffece9;
}
.blue { 
	background-color: #ddeaff;
}

[v-cloak] {
	display: none;
}

// Columns, that reduce in number at smaller screen sizes
// No longer using. It seems better to simply specify columns using column-width, which will adjust the number of columns based on screen size
/**
.columns-2, .columns-3 {
	column-width: auto;
}
.columns-2 {
	column-count: 2;

}
.columns-3 {
	column-count: 3;
}
.columns-4 {
	column-count: 4;
	@media (max-width: 800px) { column-count: 3; }
}
**/

#toc {
	display: inline-block;
	border: 1px solid #bfbfbf;
	background-color: #fafafa;
	margin-bottom: 1.6666em;
	padding: 12px 30px 12px 18px;
	font-size: 90%;
	border-radius: 4px;
	color: #85898d;

	.heading {
		font-size: 84%;
		font-weight: bold;
		margin-bottom: 8px;
	}

	ol {
		margin-bottom: 0;
	}

	ol ol {
		list-style-type: none;
		padding-left: 1em;
	}

	a {
		border-bottom: 2px solid #e5e5e5;
	}
	a:hover {
		border-bottom: 2px solid #666;
	}
}

table.compressed {
	th, td {
		padding-top: 0.1em;
		padding-bottom: 0.1em;
	}
}

/**
 * Cards
 */

// Allow cards to stretch full-width on some pages
// (such as FAQ and Trend Analysis)
.layout-grid .full-width .post-card {
    flex-basis: 100%;
}

// Add "smaller-headings" to the wrapper DIV
.smaller-headings .post-card .post-title {
    font-size: 1.333rem;
}

// Add "underlined-headings" to the wrapper DIV
.underlined-headings .post-card .post-title a {
	border-bottom: 2px solid #e4e5e5;
	&:hover {
		border-bottom-color: #536171;
	}
}



// "Other Articles In This Series" box
.article-series-list {
	// Subtle highlight for left column
	td:first-child {
		background-color: #f2f7fa;
	}
	// Make current article bold, and remove hyperlink underline
	.current-article {
		td:first-child, .article-title {
			font-weight: bold;
			a {
				border-bottom: none;
			}
		}
	}
}

// When putting a timestamp at the very top of an article
.post-content > .small.muted:first-child {
    margin-top: -1.2em;
}

.raw-data-table p:last-child {
	margin-bottom: 0;
}

// Apply this to tables that are a little too wide on mobile
.reduce-cell-padding-on-mobile {
	@media (max-width: 500px) {
		th, td {
			padding-left: 6px;
			padding-right: 6px;
		}
		td:first-child, th:first-child {
			padding-left: 0;
		}
		td:last-child, th:last-child {
			padding-right: 0;
		}
	}
}